=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-11-24 16:27:10 +0000
+++ drizzled/drizzled.cc	2008-11-24 23:07:32 +0000
@@ -4392,11 +4392,11 @@
 /** Handle arguments for multiple key caches. */
 
 extern "C" char **drizzle_getopt_value(const char *keyname, uint32_t key_length,
-                                      const struct my_option *option);
+                                       const struct my_option *option);
 
 char**
 drizzle_getopt_value(const char *keyname, uint32_t key_length,
-		   const struct my_option *option)
+		    const struct my_option *option)
 {
   switch (option->id) {
   case OPT_KEY_BUFFER_SIZE:

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2008-11-24 18:52:04 +0000
+++ drizzled/field.cc	2008-11-24 23:07:32 +0000
@@ -2095,7 +2095,7 @@
 */
 
 void 
-Field::set_datetime_warning(DRIZZLE_ERROR::enum_warning_level level, uint32_t code, 
+Field::set_datetime_warning(DRIZZLE_ERROR::enum_warning_level level, const uint32_t code, 
                             double nr, enum enum_drizzle_timestamp_type ts_type)
 {
   Session *session= table ? table->in_use : current_session;

=== modified file 'mysys/my_getopt.cc'
--- mysys/my_getopt.cc	2008-11-22 00:57:28 +0000
+++ mysys/my_getopt.cc	2008-11-24 22:51:33 +0000
@@ -100,10 +100,9 @@
   one. Call function 'get_one_option()' once for each option.
 */
 
-static char** (*getopt_get_addr)(const char *, uint, const struct my_option *);
+static getopt_get_addr_func getopt_get_addr;
 
-void my_getopt_register_get_addr(char** (*func_addr)(const char *, uint,
-						    const struct my_option *))
+void my_getopt_register_get_addr(getopt_get_addr_func func_addr)
 {
   getopt_get_addr= func_addr;
 }

=== modified file 'mysys/my_getopt.h'
--- mysys/my_getopt.h	2008-10-06 06:47:29 +0000
+++ mysys/my_getopt.h	2008-11-24 22:51:33 +0000
@@ -16,6 +16,8 @@
 #ifndef _my_getopt_h
 #define _my_getopt_h
 
+#include <mysys/my_sys.h>
+
 #define GET_NO_ARG     1
 #define GET_BOOL       2
 #define GET_INT        3
@@ -34,12 +36,11 @@
 #define GET_ASK_ADDR	 128
 #define GET_TYPE_MASK	 127
 
+
 #ifdef __cplusplus
 extern "C" {
 #endif
 
-#include <mysys/my_sys.h>
-
 enum get_opt_arg_type { NO_ARG, OPT_ARG, REQUIRED_ARG };
 
 struct st_typelib;
@@ -64,6 +65,7 @@
 
 typedef bool (* my_get_one_option) (int, const struct my_option *, char * );
 typedef void (* my_error_reporter) (enum loglevel level, const char *format, ... );
+typedef char ** (*getopt_get_addr_func)(const char *, uint32_t, const struct my_option *);
 
 extern char *disabled_my_option;
 extern bool my_getopt_print_errors;
@@ -75,8 +77,7 @@
 extern void my_cleanup_options(const struct my_option *options);
 extern void my_print_help(const struct my_option *options);
 extern void my_print_variables(const struct my_option *options);
-extern void my_getopt_register_get_addr(char ** (*func_addr)(const char *, uint,
-                                                             const struct my_option *));
+extern void my_getopt_register_get_addr(getopt_get_addr_func func_addr);
 
 uint64_t getopt_ull_limit_value(uint64_t num, const struct my_option *optp,
                                  bool *fix);

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-11-21 16:06:07 +0000
+++ tests/Makefile.am	2008-11-24 22:51:33 +0000
@@ -28,6 +28,7 @@
 noinst_SCRIPTS =	$(GENSCRIPTS) $(PRESCRIPTS)
 CLEANFILES = 		$(GENSCRIPTS) mtr
 noinst_PROGRAMS = 	resolve_stack_dump
+resolve_stack_dump_SOURCES = resolve_stack_dump.cc
 
 LDADD=			$(top_builddir)/mysys/libmysys.la \
                         $(top_builddir)/mystrings/libmystrings.la \

=== renamed file 'tests/resolve_stack_dump.c' => 'tests/resolve_stack_dump.cc'
